/*####################################################################
  FILE: shield_test_code_KY-032.ino
  VERSION: 1.0
  Descrizione: Programma per test modulo
  KY-032 Obstacle-detect module

  Creato il 18/2/2019 da Adriano Gandolfo
  Sito web http://www.adrirobot.it
  Blog http://it.emcelettronica.com/author/adrirobot
  Pagina Facebook https://www.facebook.com/Adrirobot-318949048122955
  Istagram https://www.instagram.com/adrirobot/
  This example code is in the public domain.
  #################################################################### */

// Definizione dei pin di collegamento
#define sclk 13
#define mosi 11
#define cs   10
#define rst  9
#define dc   8

#define sensor 17 // seleziona il pin per il sensore KY-032
#define buzzer 3 // seleziona il pin per il buzzer KY-006

// Definizione dei colori
#define BLACK           0x0000
#define BLUE            0x001F
#define RED             0xF800
#define GREEN           0x07E0
#define CYAN            0x07FF
#define MAGENTA         0xF81F
#define YELLOW          0xFFE0
#define WHITE           0xFFFF

#include <Adafruit_GFX.h>
#include <Adafruit_SSD1331.h>
#include <SPI.h>

Adafruit_SSD1331 display = Adafruit_SSD1331(cs, dc, rst);

void setup()   {
  Serial.begin(9600); // Initialization serial output
  display.begin();
  pinMode(sensor, INPUT); // Initialization sensor pin
  pinMode(buzzer, OUTPUT); // Initialization buzzer pin

  // Messaggio iniziale
  display.fillScreen(BLACK);
  display.setTextSize(1);
  display.setTextColor(BLUE);
  display.setRotation(2); //Ruota display
  display.setCursor(0, 0);
  display.println("www.adrirobot.it");
  display.println("");
  display.setTextColor(GREEN);
  display.println("Multitest shield");
  display.println("");
  display.println("    TEST FOR   ");
  display.println(" 37 IN 1 SENSOR ");
  delay(2000);
  display.fillScreen(BLACK);
  display.setTextColor(YELLOW);
  display.setCursor(0, 0);
  display.println("   TEST MODULO  ");
  display.println("");
  display.println("     KY-032 ");
  delay (200);
}

void loop()
{
  bool val = digitalRead (sensor) ; // The current signal at the sensor will be read

  if (val == HIGH) // If a signal is detected, the LED will light up.
  {
    Serial.println("Nessun ostacolo");
    display.fillRect(0, 45, 96, 15, BLACK);
    display.setCursor(0, 45);
    display.setTextColor(GREEN);
    display.print("Nessun ostacolo");
  }
  else
  {
    Serial.println("Trovato ostacolo");
    display.fillRect(0, 45, 96, 15, BLACK);
    display.setCursor(0, 45);
    display.setTextColor(RED);
    display.print("TROVATO OSTACOLO");
    tone(buzzer, 1000);   //suona una nota alla frequenza di 1000Hz
    delay (500);        // Attende 1/2 secondo
    noTone(buzzer);      //Arresta l'emisisone della nota
  }
  Serial.println("------------------------------------");
  delay(500); // Pausa di 500 ms

}

